petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscViewerHDF5GetSPOutput

Data is written to disk in single precision even if PETSc is compiled with double precision PetscReal.

### Synopsis

    #include "petscviewerhdf5.h"
    PetscErrorCode PetscViewerHDF5GetSPOutput(PetscViewer viewer,PetscBool *flg)

Logically Collective on PetscViewer

### Input Parameter

viewer -the PetscViewer, must be of type HDF5

### Output Parameter

flg -if PETSC_TRUE the data will be written to disk with single precision

### Notes

Setting this option does not make any difference if PETSc is compiled with single precision in the first place. It does not affect reading datasets (HDF5 handle this internally).

### See Also

PetscViewerFileSetMode(), PetscViewerCreate(), PetscViewerSetType(), PetscViewerBinaryOpen(),
PetscReal

### Level

intermediate

### Location

src/sys/classes/viewer/impls/hdf5/hdf5v.c
Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages